Bug 16893 - Missing closing tag disrupts patron detail page style
Summary: Missing closing tag disrupts patron detail page style
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL: /cgi-bin/koha/members/moremember.pl?b...
Keywords:
Depends on: 12509
Blocks:
  Show dependency treegraph
 
Reported: 2016-07-11 12:50 UTC by Owen Leonard
Modified: 2017-12-07 22:16 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16893 - Missing closing tag disrupts patron detail page style (1.31 KB, patch)
2016-07-11 12:53 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF]Bug 16893: Missing closing tag disrupts patron detail page style (1.38 KB, patch)
2016-07-11 15:25 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
[PASSED QA] Bug 16893: Missing closing tag disrupts patron detail page style (1.43 KB, patch)
2016-07-11 20:58 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 16893 - Missing closing tag disrupts patron checkouts page style (1.31 KB, patch)
2016-07-11 20:59 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2016-07-11 12:50:50 UTC
There is a missing closing </i> in the moremember.tt template when the patron has a restriction message. The whole page is in italics.
Comment 1 Owen Leonard 2016-07-11 12:53:43 UTC Comment hidden (obsolete)
Comment 2 Héctor Eduardo Castro Avalos 2016-07-11 15:25:49 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2016-07-11 20:58:28 UTC
Created attachment 53285 [details] [review]
[PASSED QA] Bug 16893: Missing closing tag disrupts patron detail page style

A missing closing </i> causes the the patron detail page to be in all
italics if the patron has a restriction message. This patch corrects it.

To test, apply the patch and locate a patron who has a restriction
message. The restriction message should be in italics but the rest of
the page should display normally.

Signed-off-by: Hector Castro <hector.hecaxmmx@gmail.com>
Rest of the page displayed normally

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Katrin Fischer 2016-07-11 20:59:09 UTC
Created attachment 53286 [details] [review]
Bug 16893 - Missing closing tag disrupts patron checkouts page style

Same fix as for the details page: checkouts page is very italic
when there is a restriction with a comment on the patron
account.
Comment 5 Kyle M Hall 2016-07-15 15:04:31 UTC
Pushed to master for 16.11, thanks Owen, Katrin!
Comment 6 Frédéric Demians 2016-08-01 13:40:14 UTC
Pushed in 16.05. Will be in 16.05.02.
Comment 7 Julian Maurice 2016-08-17 10:50:29 UTC
Patches pushed to 3.22.x, will be in 3.22.10